[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TCheckConstraints

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Set of record-level constraints

## Declaration

Source position: db.pas line 1102

`type TCheckConstraints = class(TCollection)`
`public`
`constructor Create();` |  | Create a new instance of the TCheckConstraints class.
`function Add;` |  | Add new TCheckConstraint item to the collection
`property Items []: TCheckConstraint; default; [rw]` |  | Indexed access to the items in the collection
`end;`

## Inheritance

`TCheckConstraints` |  | Set of record-level constraints
`TCollection`
`TPersistent,IFPObserved`
`TObject`

## Description

TCheckConstraints is a TCollection descendent which keeps a collection of TCheckConstraint items. It overrides the Add method to return a TCheckConstraint instance.

## See also

TCheckConstraint |  | Record-level constraint definition